
from netbox.plugins import PluginTemplateExtension
from django.conf import settings
from packaging import version

NETBOX_CURRENT_VERSION = version.parse(settings.RELEASE.version)


class SiteButtons(PluginTemplateExtension):
    models = ('dcim.site', )
    def buttons(self):
        return self.render('netbox_topology_views/site_button.html')

class LocationButtons(PluginTemplateExtension):
    models = ('dcim.location', )
    def buttons(self):
        return self.render('netbox_topology_views/location_button.html')


template_extensions = [SiteButtons, LocationButtons]
